Get a theme profile
GET/v2/competitions/{competitionId}/theme-profiles/{profileId}
const url = 'https://api.ligr.live/rest/v2/competitions/1/theme-profiles/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/competitions/1/theme-profiles/1 \ --header 'Authorization: Bearer <token>'Returns saved theme values and the default control room for a nonarchived competition profile. The competition must belong to your organization, and your organization must be able to use the profile theme: a theme it owns, a theme LIGR linked to it, or a public theme. An inbuilt theme answers 404.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
Entity identifier
Responses
Section titled “Responses”Ok
object
Entity identifier
Entity identifier
Entity identifier
The game plan that overlay automation runs for matches that use this profile.
Examplegenerated
{ "id": 1, "competitionId": 1, "themeId": 1, "name": "example", "defaultControlRoomId": 1, "automationGamePlanId": 1, "isDefault": true, "themeVariableValues": [ { "variableId": "example", "value": "example" } ]}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Competition, theme, control room, game plan, or profile not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}